{% extends '@ChillPerson/AccompanyingCourse/layout.html.twig' %}

{% block title %}{%- if 'DRAFT' == accompanyingCourse.step -%}{{ 'New accompanying course'|trans }}{%- else -%}{{ 'Edit Accompanying Course'|trans }}{%- endif -%}{% endblock %}

{% block content %}
   <div id="accompanying-course"></div> {#  <== insert accompanyingCourse vue component  #}
{% endblock %}

{% block js %}
   <script type="text/javascript">
      window.accompanyingCourseId = {{ accompanyingCourse.id|e('js') }};
      window.vueRootComponent = 'app';
   </script>
   {{ encore_entry_script_tags('vue_accourse') }}
{% endblock %}
